/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class PointF {
    public isEmpty: boolean;

    public x: number;

    public y: number;

    /**
     * Creates a PointF.
     *
     * @param {boolean} isEmpty
     * @param {number} x
     * @param {number} y
     */
    constructor(isEmpty: boolean, x: number, y: number) {
        this.isEmpty = isEmpty;
        this.x = x;
        this.y = y;
    }
}